# Interface methods for submodule: NarrowBandImageFilterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FiniteDifferenceImageFilterProxy as _FiniteDifferenceImageFilterProxy


# Interface methods for class: NarrowBandImageFilterBase
class NarrowBandImageFilterBaseProxy(_FiniteDifferenceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetIsoSurfaceValue(self, _arg: float) -> None:
		""""""
		...

	def GetIsoSurfaceValue(self) -> float:
		""""""
		...

	@overload
	def InsertNarrowBandNode(self, node) -> None:
		""""""
		...

	@overload
	def InsertNarrowBandNode(self, index: Sequence[int]) -> None:
		""""""
		...

	@overload
	def InsertNarrowBandNode(self, index: Sequence[int], value: float, nodestate: int) -> None:
		""""""
		...

	def SetNarrowBandTotalRadius(self, val: float) -> None:
		""""""
		...

	def GetNarrowBandTotalRadius(self) -> float:
		""""""
		...

	def SetNarrowBandInnerRadius(self, val: float) -> None:
		""""""
		...

	def GetNarrowBandInnerRadius(self) -> float:
		""""""
		...

	def CreateNarrowBand(self) -> None:
		""""""
		...

	def SetNarrowBand(self, ptr) -> None:
		""""""
		...

	def CopyInputToOutput(self) -> None:
		""""""
		...

